Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.OperatingPackage
Class Operator

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.OperatingPackage.Operator

All Implemented Interfaces:
  java.io.Serializable

    public class Operator

extends java.lang.Object
implements java.io.Serializable

Author:
  Sylvia Tippmann Jan Kr�ger The Operator Object is the central object which holds the complete configuration and every variable and provides getter and setter for them.
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID` set serial Version of current opbject

Constructor Summary
`Operator()` DefaultConstructor, load the program properties from local directory.
`Operator(java.net.URL url)` Constructor, load the program properties from URL

Method Summary
`double[]` | `calcAverageValues(java.util.Vector dataVec)` Calculate array of average values(scores) from more than one precursor
`void` | `createDatabaseFromFile(java.lang.String path, java.lang.String dbName)` Deprecated.
`int[]` | `findStartInSinglePC(int startINalign, java.util.Vector align)`
`ICalcConservationAction` | `getCalcconservationaction()`
`int` | `getCutoff()`
`PrecursorContainer` | `getDatabase()` Get the actual Database to work with
`java.io.File` | `getFile()`
`IFoldingAction` | `getFoldingaction()`
`java.util.Hashtable` | `getGenuineHash()`
`int` | `getIndelScore()`
`static Operator` | `getInstance()` Singleton
`int` | `getMatureSize()`
`java.lang.String` | `getMethod()`
`int` | `getMirnaPOSinALIGN()`
`int[]` | `getMirnaPOSinPC()`
`int` | `getMScore()`
`IMultipleAlignAction` | `getMultiplealignaction()`
`java.lang.String` | `getPath()`
`java.util.Properties` | `getProperties()`
`int` | `getRpScore()`
`IScoreAction` | `getScoreaction()`
`int` | `getSmoothWinSizeEx()`
`int` | `getSmoothWinSizeIn()`
`Status` | `getStatus()`
`int` | `predictMatureMiRNAex(java.util.Vector dataVec)` Predicts Position of mature miRNA on extrinsic data by... 1) finding start position of the window with MAXIMAL sum (relative to alignment) !
`int` | `predictMatureMiRNAin(java.util.Vector dataVec)` Predicts Position of mature miRNA on instrinsic data 1) calculating the avarage value of all precursors 2) finding the minimal value (relative to alignment) !
`java.lang.String` | `readFile(java.lang.String filename)` Reads a File
`java.util.Vector` | `run_extrinsicAction()` Actions & Predction with EXTRINSIC method
`java.util.Vector` | `run_intrinsicAction()` Action & Prediction with INTRINSIC method
`java.util.Vector` | `run_intrinsicPlusAction()` Action & Prediction with INTRINSIC extended method
`void` | `setActionPCs(PrecursorContainer actionPCs)`
`void` | `setCalcconservationaction(ICalcConservationAction calcconservationaction)`
`void` | `setCutoff(int cutoff)`
`void` | `setDatabase(java.lang.String dbName)` Set the choosen Database as Database to search in
`void` | `setEprofileAlignVec(java.util.Vector eprofileAlignVec)`
`void` | `setEprofileConsVec(java.util.Vector eprofileConsVec)`
`void` | `setFile(java.io.File file)`
`void` | `setFoldingaction(IFoldingAction foldingaction)`
`void` | `setGenuineHash(java.util.Hashtable genuineHash)`
`void` | `setIplotScoreVec(java.util.Vector iplotScoreVec)`
`void` | `setIprofileAlignScoreVec(java.util.Vector iprofileAlignScoreVec)`
`void` | `setIprofileAlignVec(java.util.Vector iprofileAlignVec)`
`void` | `setMatureSize(int matureSize)`
`void` | `setMethod(java.lang.String method)`
`void` | `setMirnaPOSinALIGN(int mirnaPOSinALIGN)`
`void` | `setMirnaPOSinPC(int[] mirnaPOSinPC)`
`void` | `setMultiplealignaction(IMultipleAlignAction multiplealignaction)`
`void` | `setPath(java.lang.String path)`
`void` | `setPropertieserties(java.util.Properties properties)`
`void` | `setScoreaction(IScoreAction scoreaction)`
`void` | `setSmoothWinSizeEx(int smoothWinSizeEx)`
`void` | `setSmoothWinSizeIn(int smoothWinSizeIn)`
`void` | `setStatus(Status status)`
`java.lang.String` | `show_extrinsicResults()` Create output for EXTRINSIC method
`java.lang.String` | `show_intrinsicPlusResults()` Create output of INTRINSIC extended method
`java.lang.String` | `show_intrinsicResults()` Create output of INTRINSIC method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  set serial Version of current opbject

  See Also:
    Constant Field Values

Constructor Detail

### Operator

    public Operator()

  DefaultConstructor, load the program properties from local directory.

### Operator

    public Operator(java.net.URL url)

  Constructor, load the program properties from URL

  Parameters:
    `url` - - URL where to load the program properties

Method Detail

### getInstance

    public static Operator getInstance()

  Singleton

  Returns:
    Operator

### readFile

    public java.lang.String readFile(java.lang.String filename)

  Reads a File

  Parameters:
    `filename` -
  Returns:
    Content of file.

### createDatabaseFromFile

    public void createDatabaseFromFile(java.lang.String path,
                                       java.lang.String dbName)
                                throws java.io.IOException

  Deprecated.

  Creates a database from a fasta file

  Parameters:
    `path` -
    `dbName` -
  Throws:
    `java.io.IOException`

### setDatabase

    public void setDatabase(java.lang.String dbName)

  Set the choosen Database as Database to search in

  Parameters:
    `dbName` -

### getDatabase

    public PrecursorContainer getDatabase()

  Get the actual Database to work with

  Returns:
    actual Precursor Database

### getCalcconservationaction

    public ICalcConservationAction getCalcconservationaction()

  Returns:
    Returns the calcconservationaction.

### setCalcconservationaction

    public void setCalcconservationaction(ICalcConservationAction calcconservationaction)

  Parameters:
    `calcconservationaction` - The calcconservationaction to set.

### getFoldingaction

    public IFoldingAction getFoldingaction()

  Returns:
    Returns the foldingaction.

### setFoldingaction

    public void setFoldingaction(IFoldingAction foldingaction)

  Parameters:
    `foldingaction` - The foldingaction to set.

### getMultiplealignaction

    public IMultipleAlignAction getMultiplealignaction()

  Returns:
    Returns the multiplealignaction.

### setMultiplealignaction

    public void setMultiplealignaction(IMultipleAlignAction multiplealignaction)

  Parameters:
    `multiplealignaction` - The multiplealignaction to set.

### getScoreaction

    public IScoreAction getScoreaction()

  Returns:
    Returns the scoreaction.

### setScoreaction

    public void setScoreaction(IScoreAction scoreaction)

  Parameters:
    `scoreaction` - The scoreaction to set.

### calcAverageValues

    public double[] calcAverageValues(java.util.Vector dataVec)

  Calculate array of average values(scores) from more than one precursor

  Parameters:
    `dataVec` -
  Returns:
    array of average values

### predictMatureMiRNAin

    public int predictMatureMiRNAin(java.util.Vector dataVec)

  Predicts Position of mature miRNA on instrinsic data 1) calculating the avarage value of all precursors 2) finding the minimal value (relative to alignment) ! apply 'findStartInSinglePC' method to get the position of mature miRNA relative to the precursor

  Parameters:
    `dataVec` - Vector of aligned-scores for every Precursor
  Returns:
    start position of mature miRNA based on alignment

### predictMatureMiRNAex

    public int predictMatureMiRNAex(java.util.Vector dataVec)

  Predicts Position of mature miRNA on extrinsic data by... 1) finding start position of the window with MAXIMAL sum (relative to alignment) ! apply 'findStartInSinglePC' method to get the position of mature miRNA relative to the precursor

  Parameters:
    `dataVec` - Vector which consists one array of conservation values
  Returns:
    start position of mature miRNA based on alignment

### findStartInSinglePC

    public int[] findStartInSinglePC(int startINalign,
                                     java.util.Vector align)

  Parameters:
    `startINalign` -
    `align` -
  Returns:
    Start- and end-position of predicted miRNA based on single Precursor

### run_intrinsicAction

    public java.util.Vector run_intrinsicAction()

  Action & Prediction with INTRINSIC method

  Returns:
    Vector of scored precursors

### show_intrinsicResults

    public java.lang.String show_intrinsicResults()

  Create output of INTRINSIC method

  Returns:
    String of intrinsic results

### run_intrinsicPlusAction

    public java.util.Vector run_intrinsicPlusAction()

  Action & Prediction with INTRINSIC extended method

  Returns:
    Vector of profile

### show_intrinsicPlusResults

    public java.lang.String show_intrinsicPlusResults()

  Create output of INTRINSIC extended method

  Returns:
    String of intrinsic results

### run_extrinsicAction

    public java.util.Vector run_extrinsicAction()

  Actions & Predction with EXTRINSIC method

  Returns:
    Vector of conservation

### show_extrinsicResults

    public java.lang.String show_extrinsicResults()

  Create output for EXTRINSIC method

  Returns:
    String of extrinsic results

### getSmoothWinSizeEx

    public int getSmoothWinSizeEx()

  Returns:
    Returns the smoothWinSizeEx.

### setSmoothWinSizeEx

    public void setSmoothWinSizeEx(int smoothWinSizeEx)

  Parameters:
    `smoothWinSizeEx` - The smoothWinSizeEx to set.

### getSmoothWinSizeIn

    public int getSmoothWinSizeIn()

  Returns:
    Returns the smoothWinSizeIn.

### setSmoothWinSizeIn

    public void setSmoothWinSizeIn(int smoothWinSizeIn)

  Parameters:
    `smoothWinSizeIn` - The smoothWinSizeIn to set.

### getIndelScore

    public int getIndelScore()

  Returns:
    Returns the indelScore.

### getMScore

    public int getMScore()

  Returns:
    Returns the mScore.

### getRpScore

    public int getRpScore()

  Returns:
    Returns the rpScore.

### getMirnaPOSinALIGN

    public int getMirnaPOSinALIGN()

  Returns:
    Returns the mirnaPOSinALIGN.

### setMirnaPOSinALIGN

    public void setMirnaPOSinALIGN(int mirnaPOSinALIGN)

  Parameters:
    `mirnaPOSinALIGN` - The mirnaPOSinALIGN to set.

### getMirnaPOSinPC

    public int[] getMirnaPOSinPC()

  Returns:
    Returns the mirnaPOSinPC.

### setMirnaPOSinPC

    public void setMirnaPOSinPC(int[] mirnaPOSinPC)

  Parameters:
    `mirnaPOSinPC` - The mirnaPOAinPC to set.

### getCutoff

    public int getCutoff()

  Returns:
    Returns the cutoff.

### setCutoff

    public void setCutoff(int cutoff)

  Parameters:
    `cutoff` - The cutoff to set.

### getMatureSize

    public int getMatureSize()

  Returns:
    Returns the matureSize.

### setMatureSize

    public void setMatureSize(int matureSize)

  Parameters:
    `matureSize` - The matureSize to set.

### getGenuineHash

    public java.util.Hashtable getGenuineHash()

  Returns:
    Returns the genuineHash.

### setGenuineHash

    public void setGenuineHash(java.util.Hashtable genuineHash)

  Parameters:
    `genuineHash` - The genuineHash to set.

### setActionPCs

    public void setActionPCs(PrecursorContainer actionPCs)

  Parameters:
    `actionPCs` - The actionPCs to set.

### setIplotScoreVec

    public void setIplotScoreVec(java.util.Vector iplotScoreVec)

  Parameters:
    `iplotScoreVec` - The iplotScoreVec to set.

### setIprofileAlignScoreVec

    public void setIprofileAlignScoreVec(java.util.Vector iprofileAlignScoreVec)

  Parameters:
    `iprofileAlignScoreVec` - The iprofileAlignScoreVec to set.

### setIprofileAlignVec

    public void setIprofileAlignVec(java.util.Vector iprofileAlignVec)

  Parameters:
    `iprofileAlignVec` - The iprofileAlignVec to set.

### setEprofileConsVec

    public void setEprofileConsVec(java.util.Vector eprofileConsVec)

  Parameters:
    `eprofileConsVec` - The eprofileConsVec to set.

### setEprofileAlignVec

    public void setEprofileAlignVec(java.util.Vector eprofileAlignVec)

  Parameters:
    `eprofileAlignVec` - The eprofileAlignVec to set.

### getMethod

    public java.lang.String getMethod()

  Returns:
    Returns the method.

### setMethod

    public void setMethod(java.lang.String method)

  Parameters:
    `method` - The method to set.

### getPath

    public java.lang.String getPath()

  Returns:
    Returns the path.

### setPath

    public void setPath(java.lang.String path)

  Parameters:
    `path` - The path to set.

### getProperties

    public java.util.Properties getProperties()

  Returns:
    Returns the properties.

### setPropertieserties

    public void setPropertieserties(java.util.Properties properties)

  Parameters:
    `propertieserties` - The propertieserties to set.

### getFile

    public java.io.File getFile()

  Returns:
    Returns the filename.

### setFile

    public void setFile(java.io.File file)

  Parameters:
    `filename` - The filename to set.

### getStatus

    public Status getStatus()

  Returns:
    Returns the status.

### setStatus

    public void setStatus(Status status)

  Parameters:
    `status` - The status to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD